# Generated from runpuppet-1.0.2.gem by gem2rpm -*- rpm-spec -*-
%global gem_name runpuppet

Name: rubygem-%{gem_name}
Version: 1.0.2
Release: 1%{?dist}
Summary: The counterpart to puppet_controller
License: MIT
URL: http://github.com/dawanda/runpuppet
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(minitest) = 4.1.0
# BuildRequires: rubygem(mocha) >= 0.12.0
# BuildRequires: rubygem(mocha) < 0.13
# BuildRequires: rubygem(jeweler)
BuildArch: noarch

%description
Is the local client to the puppet_controller.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/runpuppet
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/sh
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/.document
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/runpuppet.gemspec
%{gem_instdir}/test

%changelog
* Wed Apr 20 2022 mockbuilder - 1.0.2-1
- Initial package
